import request from '/@/utils/request';
/**
 * @summary 获取所有数据对接配置
 */
export const GetAllMonitorDataDockingConfigure = async (req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Configure/GetAll@V1.0',
		method: 'get',
	});
};

/**
 * @summary 添加一个数据对接配置
 */
export const InsertAMonitorDataDockingConfigure = async (data, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Configure/Insert@V1.0',
		method: 'post',
		data,
	});
};

/**
 * @summary 修改一个数据对接配置
 */
export const UpdateAMonitorDataDockingConfigure = async (data, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Configure/Update@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 修改数据对接配置排序码
 */
export const UpdateMonitorDataDockingConfigureSorter = async (data, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Configure/UpdateSorter@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 更新数据对接配置使用状态
 */
export const UpdateMonitorDataDockingConfigureUseStatus = async (data, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Configure/UpdateUseStatus@V1.0',
		method: 'put',
		data,
	});
};

/**
 * @summary 检查是否已存在标记
 */
export const GetIsExistMonitorDataDockingConfigureTagName = async (params, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Configure/IsExistTagName@V1.0',
		method: 'get',
		params,
	});
};

/**
 * @summary 删除一个数据对接配置
 */
export const DeleteAMonitorDataDockingConfigure = async (params, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Configure/DeleteByID@V1.0',
		method: 'delete',
		params,
	});
};

/**
 * @summary 通过 ID 获取数据对接配置
 */
export const GetMonitorDataDockingConfigureByID = async (params, req: any = request) => {
	return req({
		url: '/Monitor/DataDocking/Configure/GetByID@V1.0',
		method: 'get',
		params,
	});
};
